Bug 19947 - lm78.o giving errors
lm78.o giving errors
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael K. Johnson
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-10-27 20:27 EDT by Need Real Name
Modified: 2007-04-18 12:29 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-10-28 05:13:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2000-10-27 20:27:09 EDT
This is what I get when I do the following:

[root@etane /root]# insmod lm78
Using /lib/modules/2.2.16-22smp/misc/lm78.o
/lib/modules/2.2.16-22smp/misc/lm78.o: unresolved symbol
sensors_sysctl_real_Rsmp6d166f56
/lib/modules/2.2.16-22smp/misc/lm78.o: unresolved symbol
i2c_attach_client_Rsmp9f4901be
/lib/modules/2.2.16-22smp/misc/lm78.o: unresolved symbol
i2c_add_driver_Rsmpe6a7ffde
/lib/modules/2.2.16-22smp/misc/lm78.o: unresolved symbol
sensors_deregister_entry_Rsmp23724c6d
/lib/modules/2.2.16-22smp/misc/lm78.o: unresolved symbol
i2c_smbus_read_byte_data_Rsmp0799339b
/lib/modules/2.2.16-22smp/misc/lm78.o: unresolved symbol
i2c_del_driver_Rsmp7303e0c3
/lib/modules/2.2.16-22smp/misc/lm78.o: unresolved symbol
sensors_detect_Rsmp36573398
/lib/modules/2.2.16-22smp/misc/lm78.o: unresolved symbol
sensors_proc_real_Rsmpb02e2ca3
/lib/modules/2.2.16-22smp/misc/lm78.o: unresolved symbol
sensors_register_entry_Rsmp03524de3
/lib/modules/2.2.16-22smp/misc/lm78.o: unresolved symbol
i2c_smbus_write_byte_data_Rsmpfe411e6d
/lib/modules/2.2.16-22smp/misc/lm78.o: unresolved symbol
i2c_detach_client_Rsmp68bc2737
/lib/modules/2.2.16-22smp/misc/lm78.o: unresolved symbol
i2c_adapter_id_Rsmpfb013ed8
/lib/modules/2.2.16-22smp/misc/lm78.o: unresolved symbol
i2c_check_functionality_Rsmpd9fda383


and I have the following

[root@etane /root]# locate smp/misc/i2c
/lib/modules/2.2.16-22smp/misc/i2c-algo-bit.o
/lib/modules/2.2.16-22smp/misc/i2c-algo-pcf.o
/lib/modules/2.2.16-22smp/misc/i2c-ali15x3.o
/lib/modules/2.2.16-22smp/misc/i2c-core.o
/lib/modules/2.2.16-22smp/misc/i2c-dev.o
/lib/modules/2.2.16-22smp/misc/i2c-elektor.o
/lib/modules/2.2.16-22smp/misc/i2c-elv.o
/lib/modules/2.2.16-22smp/misc/i2c-hydra.o
/lib/modules/2.2.16-22smp/misc/i2c-isa.o
/lib/modules/2.2.16-22smp/misc/i2c-old.o
/lib/modules/2.2.16-22smp/misc/i2c-philips-par.o
/lib/modules/2.2.16-22smp/misc/i2c-piix4.o
/lib/modules/2.2.16-22smp/misc/i2c-velleman.o
/lib/modules/2.2.16-22smp/misc/i2c-via.o
Comment 1 Arjan van de Ven 2000-10-28 05:13:02 EDT
you should do a "modprobe lm78" instead of an "insmod lm78.o"
The difference between insmod and modprobe is that modprobe also takes care of
dependencies.
For example, lm78.o requires "sensors.o" and "i2c-core" to be insmod before it
can be loaded
itself. You can do those two by hand first, but modprobe is much easier/safer in
this respect.
Comment 2 Need Real Name 2000-10-28 08:11:25 EDT
Problem fixed when using modprobe.

Note You need to log in before you can comment on or make changes to this bug.